# TdApi.UpdateNewInlineQuery (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateNewInlineQuery

Package it.tdlight.jni

# Class TdApi.UpdateNewInlineQuery

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateNewInlineQuery

Enclosing class:
  TdApi

    public static class TdApi.UpdateNewInlineQuery
    extends TdApi.Update

A new incoming inline query; for bots only.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.ChatType` | `chatType` | Contains information about the type of the chat, from which the query originated; may be null if unknown.
`static int` | `CONSTRUCTOR` |
`long` | `id` | Unique query identifier.
`String` | `offset` | Offset of the first entry to return.
`String` | `query` | Text of the query.
`long` | `senderUserId` | Identifier of the user who sent the query.
`TdApi.Location` | `userLocation` | User location; may be null.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateNewInlineQuery()` | A new incoming inline query; for bots only.
`UpdateNewInlineQuery​(long id, long senderUserId, TdApi.Location userLocation, TdApi.ChatType chatType, String query, String offset)` | A new incoming inline query; for bots only.
`UpdateNewInlineQuery​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Unique query identifier.

### senderUserId

public long senderUserId
Identifier of the user who sent the query.

### userLocation

public TdApi.Location userLocation
User location; may be null.

### chatType

public TdApi.ChatType chatType
Contains information about the type of the chat, from which the query originated; may be null if unknown.

### query

public String query
Text of the query.

### offset

public String offset
Offset of the first entry to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateNewInlineQuery

public UpdateNewInlineQuery()
A new incoming inline query; for bots only.

### UpdateNewInlineQuery

public UpdateNewInlineQuery​(long id, long senderUserId, TdApi.Location userLocation, TdApi.ChatType chatType, String query, String offset)
A new incoming inline query; for bots only.

Parameters:
  `id` - long Unique query identifier.
  `senderUserId` - long Identifier of the user who sent the query.
  `userLocation` - Location User location; may be null.
  `chatType` - ChatType Contains information about the type of the chat, from which the query originated; may be null if unknown.
  `query` - String Text of the query.
  `offset` - String Offset of the first entry to return.

### UpdateNewInlineQuery

public UpdateNewInlineQuery​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`